# Class: ObjectEvent

## ol.ObjectEvent

  Object representing a property change event.

### Extends

- goog.events.Event
- oli.ObjectEvent

### Members

#### key{string} experimental

  The name of the property whose value is changing.

### Events

#### beforepropertychange experimental

src/ol/object.js, line 22

  Triggered before a property is changed.

#### propertychange experimental

src/ol/object.js, line 28

  Triggered when a property is changed.